<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Package org.apache.commons.configuration2.sync (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.commons.configuration2.sync (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/sync/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package org.apache.commons.configuration2.sync" class="title">Uses of Package<br>org.apache.commons.configuration2.sync</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/commons/configuration2/sync/package-summary.html">org.apache.commons.configuration2.sync</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2">org.apache.commons.configuration2</a></td>
<td class="colLast">
<div class="block">
 The Configuration main package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder</a></td>
<td class="colLast">
<div class="block">
 This package contains the implementations of <em>configuration builder</em>
 classes used to create new <code>Configuration</code> objects.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.plist">org.apache.commons.configuration2.plist</a></td>
<td class="colLast">
<div class="block">
 Configuration classes supporting NeXT / OpenStep /GNUStep style configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.sync">org.apache.commons.configuration2.sync</a></td>
<td class="colLast">
<div class="block">
 A package containing interfaces and classes related to synchronization of
 configurations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.web">org.apache.commons.configuration2.web</a></td>
<td class="colLast">
<div class="block">
 This package contains some implementations of the <code>Configuration</code>
 interface that are useful in web environments.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/commons/configuration2/sync/package-summary.html">org.apache.commons.configuration2.sync</a> used by <a href="../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/sync/class-use/LockMode.html#org.apache.commons.configuration2">LockMode</a>
<div class="block">
 An enumeration used by <a href="../../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html" title="interface in org.apache.commons.configuration2.sync"><code>SynchronizerSupport</code></a> to specify how an object
 is locked.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/sync/class-use/Synchronizer.html#org.apache.commons.configuration2">Synchronizer</a>
<div class="block">
 An interface controlling synchronization of configuration instances.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/sync/class-use/SynchronizerSupport.html#org.apache.commons.configuration2">SynchronizerSupport</a>
<div class="block">
 Definition of an interface for objects that can be associated with a
 <a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync"><code>Synchronizer</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/commons/configuration2/sync/package-summary.html">org.apache.commons.configuration2.sync</a> used by <a href="../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/sync/class-use/Synchronizer.html#org.apache.commons.configuration2.builder">Synchronizer</a>
<div class="block">
 An interface controlling synchronization of configuration instances.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.plist">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/commons/configuration2/sync/package-summary.html">org.apache.commons.configuration2.sync</a> used by <a href="../../../../../org/apache/commons/configuration2/plist/package-summary.html">org.apache.commons.configuration2.plist</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/sync/class-use/SynchronizerSupport.html#org.apache.commons.configuration2.plist">SynchronizerSupport</a>
<div class="block">
 Definition of an interface for objects that can be associated with a
 <a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync"><code>Synchronizer</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.sync">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/commons/configuration2/sync/package-summary.html">org.apache.commons.configuration2.sync</a> used by <a href="../../../../../org/apache/commons/configuration2/sync/package-summary.html">org.apache.commons.configuration2.sync</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/sync/class-use/LockMode.html#org.apache.commons.configuration2.sync">LockMode</a>
<div class="block">
 An enumeration used by <a href="../../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html" title="interface in org.apache.commons.configuration2.sync"><code>SynchronizerSupport</code></a> to specify how an object
 is locked.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/sync/class-use/NoOpSynchronizer.html#org.apache.commons.configuration2.sync">NoOpSynchronizer</a>
<div class="block">
 An implementation of the <code>Synchronizer</code> interface which does not
 perform any synchronization.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/sync/class-use/Synchronizer.html#org.apache.commons.configuration2.sync">Synchronizer</a>
<div class="block">
 An interface controlling synchronization of configuration instances.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.web">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/commons/configuration2/sync/package-summary.html">org.apache.commons.configuration2.sync</a> used by <a href="../../../../../org/apache/commons/configuration2/web/package-summary.html">org.apache.commons.configuration2.web</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/sync/class-use/SynchronizerSupport.html#org.apache.commons.configuration2.web">SynchronizerSupport</a>
<div class="block">
 Definition of an interface for objects that can be associated with a
 <a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync"><code>Synchronizer</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/sync/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
